> ## Documentation Index
> Fetch the complete documentation index at: https://developer.oplog.one/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Address of Customer.



## OpenAPI

````yaml /api-reference/openapi.json put /openapi/v1/Customers/{customerNo}/address/{addressNo}
openapi: 3.0.1
info:
  title: OmniServices Web API
  version: v1
servers:
  - url: https://api.oplog.one
    description: Production Server
  - url: https://api.staging.oplog.one
    description: Staging Server
security:
  - Authorization: []
paths:
  /openapi/v1/Customers/{customerNo}/address/{addressNo}:
    put:
      tags:
        - Customers
      summary: Update Address of Customer.
      parameters:
        - name: customerNo
          in: path
          required: true
          schema:
            type: integer
            format: int32
        - name: addressNo
          in: path
          required: true
          schema:
            type: integer
            format: int32
        - name: X-Tenant-Id
          in: header
          description: If you want to emulate, please enter TenantId.
          schema:
            type: string
      requestBody:
        content:
          application/json-patch+json:
            schema:
              $ref: '#/components/schemas/UpdateAddressRequestDTO'
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateAddressRequestDTO'
          text/json:
            schema:
              $ref: '#/components/schemas/UpdateAddressRequestDTO'
          application/*+json:
            schema:
              $ref: '#/components/schemas/UpdateAddressRequestDTO'
      responses:
        '200':
          description: Success
components:
  schemas:
    UpdateAddressRequestDTO:
      type: object
      properties:
        addressFirstName:
          type: string
        addressLastName:
          type: string
        company:
          type: string
        addressOne:
          type: string
        addressTwo:
          type: string
        district:
          type: string
        city:
          type: string
        postalCode:
          type: string
        country:
          type: string
        addressPhone:
          type: string
      additionalProperties: false
  securitySchemes:
    Authorization:
      type: apiKey
      in: header
      name: Authorization

````